/* jshint indent: 1 */

module.exports = function(sequelize, DataTypes) {
	return sequelize.define('chats', {
		id: {
			type: DataTypes.INTEGER(11),
			allowNull: false,
			primaryKey: true,
			autoIncrement: true,
			field: 'id'
		},
		user_one: {
			type: DataTypes.INTEGER(11),
			allowNull: true,
			field: 'user_one'
		},
		user_two: {
			type: DataTypes.INTEGER(11),
			allowNull: true,
			field: 'user_two'
		}
	}, {
		tableName: 'chats',
		createdAt: false,
        updatedAt: false,
	});
};
